//   CS 120 Fall 2016 TARGET INTERFACE for A8.   Instr.  Jeff Horn
//




import java.awt.*;

public interface Target
  {
	  public boolean selectedQ();      //  NEW:  Returns TRUE if this
	                                  //        target is selected.
	                                  //        Returns FALSE otherwise.
	  public void select();           //  NEW:  Makes this Target
	                                  //        selected.
	  public void unselect();         //  NEW:  Makes this Target NOT
	                                  //        selected.

      public void paint(Graphics g);  //  Paint yourself, wherever
                                      //  you think you are, in g,
                                      //  of size <= 40 by 40 pixels.
                                      //  If your score is below 10,
                                      //  paint yourself completely w/red.
                                      //  If your score is 0 or less, then
                                      //  paint a "death marker" (e.g.,
                                      //  a SPLAT, tombstone, etc.
      public String getEpitaph();   //  Return a String, no more than
                                 //  a tweet ( <= 140 char.s) assuming
                                 //  you have just been destroyed.  No
                                 //  profanities!

	  public int getX();  // Accessor method, returns x coordinate of
	                      // target's actual location (in pixels).
	                      // Let (x,y) be the upper left of your target's
	                      // bounding box.  I.e., x is left side, y is top.
	  public int getY();  // Accessor method, returns y coordinate.
	  public void setXY(int inX, int inY);
	                      // "setXY" is given the coordinates,
	                      // (inX,inY) of the NEW location of the Bug.
	                      // "changeLoc" should update state variables
	                      // accordingly.

	  public int getXvelocity();  // returns your current speed in x direction.
	  public int getYvelocity();  //  returns your current speed in y direction.
	  public void setXYvelocity(int inXvelocity, int inYvelocity);
	                              //  change your current velocity to the input
	                              //  values intXvelocity and intYvelocity.

	  public void move();  //  Update your current position by adding
	                       //  intXvelocity to current x location, and
	                       //  intYvelocity to current y location.

	  public int getScore();  //  Return your current score.
	  public void setScore(int newScore);   //  Set your score to newScore.
	  public void addToScore(int increment);  //  Add increment to current score.

  }


